package com.ruoyi.worktecket.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.Date;

/**
 * 作业票签字模板-签字项与用户关系 work_ticket_sign_img_run
 * 
 * @author ruoyi
 * @date 2023-08-04
 */
@ApiModel("作业票签字模板-签字项与用户关系")
public class WorkTicketSignOptionUser implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty("作业票签字模板-签字项与用户关系主键")
    private String id;

    /** 作业票签字项id */
    @ApiModelProperty("")
    @Excel(name = "作业票签字项id")
    private String workSignOptionId;

    /** 执行作业票签字项id */
    @ApiModelProperty("作业票签字项员工ID")
    @Excel(name = "作业票签字项员工ID")
    private Long workSignOptionUserId;


    @ApiModelProperty("作业票签字项岗位ID")
    @Excel(name = "作业票签字项岗位ID")
    private String workSignOptionPostId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWorkSignOptionId() {
        return workSignOptionId;
    }

    public void setWorkSignOptionId(String workSignOptionId) {
        this.workSignOptionId = workSignOptionId;
    }

    public Long getWorkSignOptionUserId() {
        return workSignOptionUserId;
    }

    public void setWorkSignOptionUserId(Long workSignOptionUserId) {
        this.workSignOptionUserId = workSignOptionUserId;
    }

    public String getWorkSignOptionPostId() {
        return workSignOptionPostId;
    }

    public void setWorkSignOptionPostId(String workSignOptionPostId) {
        this.workSignOptionPostId = workSignOptionPostId;
    }
}
